Subject: accept() blocking
From: "Matt Minnis" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 09 Aug 2000 11:14:55 -0500

I am having a problem.  I am using cygwin 1.1.3

With a telnet socket opened as:

*fd = socket(AF_INET,SOCK_STREAM,0);

fcntl(*fd, F_SETFL, O_NONBLOCK);

When I call accept(.....) like:

int *status = malloc(sizeof(int));
*status = accept(*fd, NULL, 0);

The program will sit and wait for a telnet session to connect.  If a 
session is already connected, it will do the NONBLOCK like it is supposed to.

Thanks,

Matt

Cthulhu for President. Why settle for a lesser evil?

=========================================================
Preferred Resources          (314) 567-7600 phone
701 Emerson rd.              (314) 993-6699 fax
Suite 475		       [email-masked]
St. Louis, MO
63141
=========================================================

--
Want to unsubscribe from this list?
Send a message to [email-masked]